## nx-libs 3.5.99.13

=== debian/changelog ===
nx-libs (2:3.5.99.13-4) unstable; urgency=medium

  * Re-upload as-is to Debian unstable. The previous upload has been removed by
    FTP master due to flaw in removal bug #890564. This upload obsoletes having
    nx-libs-lite in Debian.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 17 Feb 2018 23:09:46 +0100

nx-libs (2:3.5.99.13-3) unstable; urgency=medium

  * Re-upload as-is to Debian unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 16 Feb 2018 00:01:23 +0100

nx-libs (2:3.5.99.13-2) experimental; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #875867)
    + Fix build/host confusion in debian/rules.
    + Pass --host to ./configure.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 28 Jan 2018 14:55:33 +0100

nx-libs (2:3.5.99.13-1) experimental; urgency=medium

  * New upstream release.
  * debian/rules:
    + Evoke dpkg-shlibs with --ignore-missing-info in order to handle the
      libNX_X11 -> libX11 injection trick gracefully.
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
    + Move over with Maintainer: field to new debian-remote ML on
      lists.debian.org.
  * debian/{control,compat}: Bump DH version level to 11.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 20 Jan 2018 13:52:15 +0100

nx-libs (2:3.5.99.12-1) experimental; urgency=medium

  * New upstream release.
  * debian/control:
    + Set Priority: to optional (extra has been deprecated).
    + Bump Standards-Version: to 4.1.2.
    + Set Section: to libs for libnx-x11-6 bin:pkg.
    + Set Section: to libs for libxcomp3 and libxcompshad3 bin:pkgs.
  * debian/rules:
    + Fix override_dh_clean for source:pkg builds with missing upstream
      files in source folder.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.
  * debian/nxproxy.install:
    + The nxproxy binary is now installed into BINDIR directly. No wrapper
      script needed anymore.
  * debian/watch:
    + Use secure URL to obtain upstream sources.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 15 Dec 2017 12:58:53 +0100

nx-libs (2:3.5.99.10-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_fix-FTBFS-on-kFreeBSD.patch. Shipped upstream.
    + Drop 1001_shrink-mesa-patch-5001.patch. Applied upstream.
  * debian/control:
    + Bump Standards-Version: to 4.1.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 15 Sep 2017 15:11:33 +0200

nx-libs (2:3.5.99.9-2) experimental; urgency=medium

  * debian/patches:
    + Add 0001_fix-FTBFS-on-kFreeBSD.patch from upstream. Fix FTBFS on
      Debian/kFreeBSD.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 06 Sep 2017 10:48:59 +0200

nx-libs (2:3.5.99.9-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_dont-use-mesa-patch-4001.patch. Resolved upstream.
    + Add 1001_shrink-mesa-patch-5001.patch. Shrink over-zealous Mesa patch.
  * debian/rules:
    + Static libraries require stripping since build system has been switched
      to libtool.
    + Use --disable-silent-rules and --libexecdir during configure run.
    + Drop override_dh_clean. Not needed anymore.
    + Remove some build-cruft in re-introduced override_dh_clean.
  * debian/control:
    + Bump Standards-Version: to 4.0.1. No changes needed.
    + Drop unused libxmltok1-dev from B-D. (Closes: #871824).
    + Add B-Ds automake and libtool. nxcomp* and libNX_X11 are now built using
      autoreconf.
    + Add D (libnx-x11-6): libx11-data.
  * debian/libnx-x11-6.symbols:
    + Update libNX_X11 symbols file.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/nx-x11-common.install:
    + Update paths of XErrorDB and Xcms.txt.
  * debian/libnx-x11-dev.install:
    + Add static libNX_X11 lib and new pkg-config file.
  * debian/libxcomp*.install:
    + Add static libraries to libxcomp*-dev bin:pkgs.

  * Process with wrap-and-sort -s.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 30 Aug 2017 22:19:30 +0200

nx-libs (2:3.5.99.8-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_fix-ftbfs-on-hppa.patch, 0007_fix-ftbfs-on-mips64el.patch.
      Support for mips64el and hppa has been added by upstream.
  * debian/{control,compat}:
    + Bump to DH version level 10.
  * debian/rules:
    + Switch from dh_install --fail-missing to dh_missing --fail-missing.
  * debian/copyright:
    + Update copyright attributions.
  * debian/patches:
    + Rebase 2001_nx-X11_install-location.debian.patch.
    + Don't use Mesa.patches patch
      4001_Fix-non-working-GLX-in-64bit-Xorg-7.0.patch. It patches a file,
      we don't find in the released tarball.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Jun 2017 21:34:27 +0200

nx-libs (2:3.5.99.7-3) experimental; urgency=medium

  * debian/patches:
    + Fix nasty typo in 0007_fix-ftbfs-on-mips64el.patch.
      (Mipsel64Architecture -> Mips64elArchitecture).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 07 May 2017 14:43:18 +0200

nx-libs (2:3.5.99.7-2) experimental; urgency=medium

  * debian/patches:
    + Fix 0001_fix-ftbfs-on-hppa.patch. Debian hppa is big Endian, not
      little. Thanks to Helge Deller for reviewing this patch.
    + Re-activate 0007_fix-ftbfs-on-mips64el.patch. Hopefully fix FTBFS on
      Debian's mips64el architecture. Thanks to Paul Wise for pointing us
      at this solution.
    + Update/rebase 2001_nx-X11_install-location.debian.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 06 May 2017 22:09:20 +0200

nx-libs (2:3.5.99.7-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0003_define-EBADFD-if-undefined.patch, correct fix for this
      has been applied upstream.
    + Drop 0004_nx-X11-gnu-hurd-support.patch, now applied upstream.
    + Add 0001_fix-ftbfs-on-hppa.patch. Fix FTBFS on Debian's hppa platform. Thanks

