=== debian/changelog ===
nx-libs (2:3.5.99.16-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been moved to salsa.debian.org.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 16 Mar 2018 23:56:40 +0100

nx-libs (2:3.5.99.15-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_default-dpi-96.patch,
           0002_xinerama-bbox-corner-cases.patch.
      Resolved upstream.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 07 Mar 2018 23:51:57 +0100

nx-libs (2:3.5.99.14-3) unstable; urgency=medium

  * debian/patches:
    + Cherry-pick upstream-proposed patch 0002_xinerama-bbox-corner-cases.patch.
      Correct sending RandR events when the agent window is moved into invisible
      parts of the real Xserver.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Mar 2018 14:11:30 +0100

nx-libs (2:3.5.99.14-2) unstable; urgency=medium

  * debian/patches:
    + Cherry-pick upstream commit 0001_default-dpi-96.patch. Follow X.org with
      setting default DPI to 96 (not 75).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Mar 2018 21:38:16 +0100

nx-libs (2:3.5.99.14-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Rebase 2001_nx-X11_install-location.debian.patch.
  * debian/nx-x11proto-xext-dev.install:
    + Add shapeconst.h.
  * debian/copyright:
    + Update copyright attributions.
    + Update copyright.in reference template.
    + Use secure URI for referencing copyright format.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 28 Feb 2018 16:21:13 +0100
