=== debian/control ===
--- 
+++ 
@@ -35,8 +35,8 @@
  zlib1g-dev
 Standards-Version: 4.1.3
 Homepage: https://github.com/ArcticaProject/nx-libs/
-Vcs-Git: https://anonscm.debian.org/git/pkg-remote/nx-libs.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-remote/nx-libs.git
+Vcs-Browser: https://salsa.debian.org/debian-remote-team/nx-libs
+Vcs-Git: https://salsa.debian.org/debian-remote-team/nx-libs.git
 
 Package: nx-x11-common
 Architecture: all
