=== debian/rules ===
#!/usr/bin/make -f

NULL =

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

export LIBDIR = "/usr/lib/$(DEB_HOST_MULTIARCH)"
export LIBEXECDIR = "$(LIBDIR)/nx/bin"
export INCLUDEDIR = "/usr/include/$(DEB_HOST_MULTIARCH)"

%:
	CONFIGURE="./configure --disable-silent-rules \
	                       --prefix=/usr \
	                       --libdir=$(LIBDIR) \
	                       --includedir=$(INCLUDEDIR) \
	                       --libexecdir=$(LIBEXECDIR) \
	                       --build=$(DEB_BUILD_GNU_TYPE) \
	                       --host=$(DEB_HOST_GNU_TYPE)"  dh $@ --with quilt

override_dh_auto_clean:
	rm -Rf nx-X11/.build-exports
	dh_auto_clean

override_dh_clean:
	-rm nx-X11/config/Makefile
	-rm nx-X11/config/cf/Makefile
	-rm nx-X11/config/cf/date.def
	-rm nx-X11/config/cf/nxversion.def
	-rm nx-X11/include/GL/Makefile
	-rm nx-X11/include/Makefile
	-rm nx-X11/include/extensions/Makefile
	-rm nx-X11/programs/Makefile
	-rm nx-X11/programs/Xserver/GL/Makefile
	-rm nx-X11/programs/Xserver/GL/glx/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/GLcore/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/X/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/array_cache/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/main/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/math/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/shader/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/shader/grammar/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/shader/slang/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/shader/slang/library/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/swrast/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/swrast_setup/Makefile
	-rm nx-X11/programs/Xserver/GL/mesa/tnl/Makefile
	-rm nx-X11/programs/Xserver/Makefile
	-rm nx-X11/programs/Xserver/Xext/Makefile
	-rm nx-X11/programs/Xserver/Xi/Makefile
	-rm nx-X11/programs/Xserver/composite/Makefile
	-rm nx-X11/programs/Xserver/damageext/Makefile
	-rm nx-X11/programs/Xserver/dbe/Makefile
	-rm nx-X11/programs/Xserver/dix/Makefile
	-rm nx-X11/programs/Xserver/fb/Makefile
	-rm nx-X11/programs/Xserver/hw/nxagent/Makefile
	-rm nx-X11/programs/Xserver/hw/nxagent/compext/Makefile
	-rm nx-X11/programs/Xserver/include/Makefile
	-rm nx-X11/programs/Xserver/mi/Makefile
	-rm nx-X11/programs/Xserver/miext/cw/Makefile
	-rm nx-X11/programs/Xserver/miext/damage/Makefile
	-rm nx-X11/programs/Xserver/os/Makefile
	-rm nx-X11/programs/Xserver/randr/Makefile
	-rm nx-X11/programs/Xserver/record/Makefile
	-rm nx-X11/programs/Xserver/render/Makefile
	-rm nx-X11/programs/Xserver/xfixes/Makefile
	-rm nx-X11/programs/Xserver/xkb/Makefile
	-rm nx-X11/xmakefile
	dh_clean

override_dh_install:

	# strip static libs and remove .la files
	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXcomp.la
	strip --strip-debug --remove-section=.comment --remove-section=.note debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXcomp.a
	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXcompshad.la
	strip --strip-debug --remove-section=.comment --remove-section=.note debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXcompshad.a
	rm debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libNX_X11.la
	strip --strip-debug --remove-section=.comment --remove-section=.note debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libNX_X11.a

	# remove extras, GL, and other unneeded headers
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/GL/
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/XK*.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/*Xv*.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/XRes*.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/XIproto.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/extensions/XI.h
	rm -R debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/nx-X11/Xtrans/

	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_install:
	PREFIX=/usr dh_auto_install -Smakefile

override_dh_auto_build:

	PREFIX=/usr dh_auto_build --parallel -- CDEBUGFLAGS="$(CPPFLAGS) $(CFLAGS)" LOCAL_LDFLAGS="$(LDFLAGS)" SHLIBGLOBALSFLAGS='$(filter-out -pie,$(LDFLAGS))'

override_dh_makeshlibs:
	dh_makeshlibs -n

# Needed for the libX11 RUNPATH/RPATH link-time hack.
# dh_shlibdeps will follow dependencies within binaries and choke
# on the libX11 dependency, since the SONAME (libX11.*) used while linking
# does not match the later detected SONAME (libNX_X11.*) obtained through
# the libX11 -> libNX_X11 compat symlink.
override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
